## eso-midas 13.09pl1.3

=== debian/changelog ===
eso-midas (13.09pl1.3-1) unstable; urgency=low

  * New upstream release. Now dfsg-free; thanks to quick response by ESO.

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 08 Jul 2014 19:49:29 +0200

eso-midas (13.09pl1.2+dfsg-3) unstable; urgency=low

  * include libgmidas shared library
  * Fix (another) FTBS on kfreebsd
  * Fix FTBS on s390x (64 bit big endian problem)

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 05 Jun 2014 14:04:51 +0200

eso-midas (13.09pl1.2+dfsg-2) unstable; urgency=low

  * Fix FTBS when $HOME is missing. Closes: #749010
  * Fix FTBS on kfreebsd and hurd
  * Remove unneeded files
  * Put manpages into the correct section

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 21 May 2014 15:40:00 +0200

eso-midas (13.09pl1.2+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #740702)

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 22 Apr 2014 14:44:58 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSDIR=$(shell pwd)
MIDVERS=13SEP
export MIDVERS
MIDASHOME=$(shell pwd)
export MIDASHOME
MID_HOME=$(MIDASHOME)/$(MIDVERS)
MID_HOME0=/usr/lib/eso-midas/$(MIDVERS)
export MID_HOME0

MID_INSTALL=$(MIDASHOME)/$(MIDVERS)/install/unix
MID_SYS=$(MIDASHOME)/$(MIDVERS)/system/unix/
MID_WORK=$(MIDASHOME)/midwork

%:
	dh  $@

override_dh_auto_configure:
	mkdir -p $(MIDVERS)
	for i in `ls -d [a-z]* | fgrep -v debian` ; do \
	  cp -alr $$i $(MIDVERS) ; \
	done
	(cd $(MID_HOME); $(MID_INSTALL)/select all)
	(cd $(MID_HOME); $(MID_INSTALL)/preinstall -a)

override_dh_auto_build:
	(cd $(MID_HOME); $(MID_INSTALL)/install1 -a CFLAGS=\"$(CFLAGS)\" )
	test -x $(MID_HOME)/monit/midasgo.exe
	(cd $(MID_HOME)/monit ; make syskeys.unix )
	$(MID_SYS)/inmidas -m $(MID_WORK) -j "@ compile.all"
	$(MID_SYS)/inmidas -m $(MID_WORK) -j "@ ascii_bin no ; bye"
	(cd $(MID_HOME) ; yes | $(MID_SYS)/cleanmidas -a)
	sed -e "s:^MIDVERS0=.*:MIDVERS0=$(MIDVERS):" \
	    -e "s:^MIDASHOME0=.*:MIDASHOME0=/usr/lib/eso-midas:" \
	    -i $(MID_HOME)/system/unix/inmidas \
	       $(MID_HOME)/system/unix/helpmidas \
	       $(MID_HOME)/system/unix/drs

override_dh_install:
	dh_install -X.mod -XCOPYING -Xsetup~ \
	           -X${MIDVERS}/test -X${MIDVERS}/install \
	           -X${MIDVERS}/system/unix/man -X${MIDVERS}/libsrc/readline

override_dh_fixperms:
	dh_fixperms
	chmod 0644 debian/eso-midas/$(MID_HOME0)/contrib/baches/*/*.fit \
	           debian/eso-midas/$(MID_HOME0)/contrib/baches/*/*.fmt \
	           debian/eso-midas/$(MID_HOME0)/contrib/baches/*/*.datorg \
	           debian/eso-midas/$(MID_HOME0)/contrib/baches/*/*.prg \
	           debian/eso-midas/$(MID_HOME0)/contrib/baches/*/*.README \
	           debian/eso-midas/$(MID_HOME0)/system/unix/makefile
	find debian/eso-midas/$(MID_HOME0)/ -name \*.sh | xargs chmod 0755 
	chmod 0755 debian/eso-midas/$(MID_HOME0)/util/bench/brun

override_dh_makeshlibs:
	# Avoid Lintian complaint: we don't have public shared libs

override_dh_clean:
	dh_clean
	rm -rf $(MIDVERS) $(MID_WORK)

## eso-midas 15.09pl1.0

=== applic/fit/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:17:11

This package provides tools to model image and table data by fitting non-linear
functions, using least square approximation.
The user may define the functions entering in the fit, the initial guesses
for the parameter and the least square method to be used.

=== applic/plot/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:19:37
This directory PLOT contains graphics plot routines that were not put in 
the MIDAS core but do fall in the graphics area. 

Currently it contains the following routines:
  - to do aperture integration
  - to compute a stellar magnitude
  - to compute the size of an aperture in screen coordinates
  - to do interactive line identification

=== contrib/imres/DESCRIPTION ===
Contains programs related to image restoration.

=== contrib/mva/DESCRIPTION ===
            Context MVA: Multivariate Data Analysis

* Input: MIDAS tables.  No missing values!  Routines available:
* PCA: Principal Components Analysis.  Dimensionality reduction of a given
  multidimensional parameter values.  Projections may be plotted, to provide an
  optimal low-dimensional representation of the objects or of the parameters.
* PARTITION: Determine a set of non-overlapping clusters, given a set of 
  objects characterized by a set of parameters.
* CLUSTER: Hierarchical clustering, which determines a sequence of partitions
  of the set of objects.
* CORRESP: Similar objectives to PCA.  More appropriate for categorical and 
  other types of input data.
* LDA: Linear Discriminant Analysis.  Assess separation between known class
  assignments of objects.  Two-class case.
* MDA: Multiple Discriminant Analysis.  Multi-class generalization of LDA.
* KNN: K-Nearest Neighbors Discriminant Analysis.  Non-linear discrimination
  between two classes.

=== contrib/tsa/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:32:39
Time series analysis package.

The TSA package contains MIDAS commands for analysis of astronomical
time series. We have chosen modern statistical tools  suitable for 
evaluation of astronomical time series. We followed the modern
trend to replace methods with unknown statistical properties by these
with known properties. Most time series analysis methods used in experimental
science are designed for evenspaced and contigous observations.
None of these are properties of most astronomical time series hence
motivation for a specialized package.
   Interests of the Galactic and extragalactic astronomers in time
series analysis differ markedly. The former are particularly
interested in periodic phenomena while the latter in aperiodic
ones. Thus we implemented methods to satisfy basic needs of
both types of users, with a stress on periodic phenomena. 
We provide tools for statistical evaluation of the results.

Author: AlexSchwarzenber-Czerny. alex@camk.edu.pl

=== gui/XLong/DESCRIPTION ===
XLong is a MOTIF based graphical user interface providing access to the
MIDAS commands of the spectroscopy context Long.

XLong requires the adequate libraries (-lX11, -lXt, -lXm) to be installed.
It also requires the previous installation of GraphLib.

=== stdred/feros/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO-IPG) 02/25/03 14:20:47 */
FEROS is a package for the calibration of fiber echelle spectra 
produced by the Feros instrument. The package
provides a set of about 15 commands to perform the reduction, most of
them having the qualifier FEROS. An additional directory, ./locproc
is not installed by Midas and contains the pipeline routines used
at the instrument in La Silla.

=== stdred/irspec/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO-IPG) 02/25/03 14:23:09
IRSPEC is a standard-reduction package for the calibration of IRSPEC spectra.

IRSPEC is a criogenically cooled grating spectrometer equipped with a linear
monolithic array detector.

The package provides commands to convert raw data stored during observations
into a flux versus wavelength format. Further measurements and analysis, like
line intensities, central wavelengths, etc... may then be performed using 
existing existing standard MIDAS spectral-analysis commands, available
in the graphical interface Alice.

=== stdred/mmf/DESCRIPTION ===
#  @(#)DESCRIPTION	19.1 (ESO-IPG) 02/25/03 14:25:36
MMF is a package with utilities and applications for large image
typically obtained from the ESO measuring machine facility.

The package is currently experimental and not officially released.

## eso-midas 13.09pl1.4

=== debian/changelog ===
eso-midas (13.09pl1.4-1) unstable; urgency=low

  * New upstream version.

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 02 Sep 2014 10:50:42 +0200

=== debian/control ===
Source: eso-midas
Section: science
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: debhelper (>= 9),
	       dh-exec (>=0.3),
               gfortran,
               libmotif-dev,
	       liblockfile-bin,
               libncurses5-dev,
	       libreadline-dev,
               libx11-dev,
               libxt-dev
Standards-Version: 3.9.5
Homepage: http://www.eso.org/projects/esomidas/
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/eso-midas.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/eso-midas.git

Package: eso-midas
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, liblockfile-bin
Description: European Southern Observatory Munich Image Data Analysis System
 The ESO-MIDAS system provides general tools for image processing and data
 reduction with emphasis on astronomical applications including imaging and
 special reduction packages for ESO instrumentation at La Silla and the VLT at
 Paranal. In addition it contains applications packages for stellar and
 surface photometry, image sharpening and decomposition, statistics and
 various others.

## eso-midas 15.02pl1.3

=== debian/changelog ===
eso-midas (15.02pl1.3-1) unstable; urgency=low

  * New upstream version
  * Add CI tests
  * Move back to unstable

 -- Ole Streicher <olebole@debian.org>  Wed, 10 Jun 2015 14:20:37 +0200

eso-midas (15.02pl1.1-1~exp5) experimental; urgency=low

  * Create upstream/metadata with bibliographic information
  * Fix many bug found with "-fsanitize=address"

 -- Ole Streicher <olebole@debian.org>  Sun, 29 Mar 2015 15:26:07 +0200

eso-midas (15.02pl1.1-1~exp4) experimental; urgency=low

  * Enable hardening for Fortran code

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Mar 2015 09:24:28 +0100

eso-midas (15.02pl1.1-1~exp3) experimental; urgency=low

  * Fix FTBS on kfreebsd, hurd

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Mar 2015 15:06:27 +0100

eso-midas (15.02pl1.1-1~exp1) experimental; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Tue, 17 Mar 2015 15:17:38 +0100

eso-midas (15.02pl1.0-1~exp2) experimental; urgency=low

  * Run verifyall to test the build

 -- Ole Streicher <olebole@debian.org>  Tue, 03 Mar 2015 13:59:29 +0100

eso-midas (15.02pl1.0-1~exp1) experimental; urgency=low

  * New upstream version
  * Update maintainers e-mail address
  * Update standards version to 3.9.6. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Fri, 27 Feb 2015 10:57:42 +0100

## eso-midas 15.09pl1.0

=== debian/changelog ===
eso-midas (15.09pl1.0-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Fri, 11 Sep 2015 11:11:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: science
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <debian@liska.ath.cx>
+Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper (>= 9),
 	       dh-exec (>=0.3),
                gfortran,
                libmotif-dev,
 	       liblockfile-bin,
-               libncurses5-dev,
 	       libreadline-dev,
                libx11-dev,
                libxt-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.eso.org/projects/esomidas/
 Vcs-Git: git://anonscm.debian.org/debian-astro/packages/eso-midas.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/eso-midas.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[~-].*//')
MIDVERS := $(shell echo '$(VERSION)' | sed -e "s/\([[:digit:]]*\)\.\([[:digit:]]*\).*/\1-\2/;s/-01/JAN/;s/-02/FEB/;s/-03/MAR/;s/-04/APR/;s/-05/MAY/;s/-06/JUN/;s/-07/JUL/;s/-08/AUG/;s/-09/SEP/;s/-10/OCT/;s/-11/NOV/;s/-12/DEC/")
export MIDVERS
MIDASHOME=$(shell pwd)
export MIDASHOME
MID_HOME=$(MIDASHOME)/$(MIDVERS)
export MID_HOME
MID_HOME0=/usr/lib/eso-midas/$(MIDVERS)
export MID_HOME0
MID_INSTALL=$(MIDASHOME)/$(MIDVERS)/install/unix
export MID_INSTALL
MID_SYS=$(MIDASHOME)/$(MIDVERS)/system/unix/
export MID_SYS
MID_WORK=$(MIDASHOME)/midwork
export MID_WORK
TEST_DIR=$(MIDASHOME)/test_tmp

%:
	dh  $@

override_dh_auto_configure:
	mkdir -p $(MIDVERS)
	for i in `ls -d [a-z]* | fgrep -v debian` ; do \
	  cp -alr $$i $(MIDVERS) ; \
	done
	(cd $(MID_HOME); $(MID_INSTALL)/select all)
	(cd $(MID_HOME); $(MID_INSTALL)/preinstall -a)

override_dh_auto_build:
	chmod 755 $(MID_HOME)/local/make_shared
	(cd $(MID_HOME); \
	 $(MID_INSTALL)/install2; \
	 CMND_YES=2 $(MID_INSTALL)/install3 -a)
	test -x $(MID_HOME)/monit/midasgo.exe
	(cd $(MID_HOME)/monit ; make syskeys.unix )
	$(MID_SYS)/inmidas -m $(MID_WORK) -j "@ compile.all"
	$(MID_SYS)/inmidas -m $(MID_WORK) -j "@ ascii_bin no ; bye"

override_dh_install:
	(cd $(MID_HOME) ; yes | $(MID_SYS)/cleanmidas)
	find $(MID_HOME) \( \
		-name "*.a" -o \
		-name "makefile" -o \
	        -name "default.mk" -o \
		-name "*.h" -o \
		-name "*.inc" \) -delete
	rm -rf $(MID_HOME)/libsrc/ftoc*
	find $(MID_HOME) -type d -empty -delete
	sed -e "s:^MIDVERS0=.*:MIDVERS0=$(MIDVERS):" \
	    -e "s:^MIDASHOME0=.*:MIDASHOME0=/usr/lib/eso-midas:" \
	    -i $(MID_HOME)/system/unix/inmidas \
	       $(MID_HOME)/system/unix/helpmidas \
	       $(MID_HOME)/system/unix/drs
	dh_install -X.mod -XCOPYING -Xsetup~ \
	           -X$(MIDVERS)/test -X$(MIDVERS)/install \
	           -X$(MIDVERS)/system/unix/man -X$(MIDVERS)/libsrc/readline

override_dh_fixperms:
	dh_fixperms
	chmod 0644 debian/eso-midas/$(MID_HOME0)/contrib/baches/*/*.fit \
	           debian/eso-midas/$(MID_HOME0)/contrib/baches/*/*.fmt \
	           debian/eso-midas/$(MID_HOME0)/contrib/baches/*/*.datorg \
	           debian/eso-midas/$(MID_HOME0)/contrib/baches/*/*.prg \
	           debian/eso-midas/$(MID_HOME0)/contrib/baches/*/*.README
	find debian/eso-midas/$(MID_HOME0)/ -name \*.sh | xargs chmod 0755 
	chmod 0755 debian/eso-midas/$(MID_HOME0)/util/bench/brun

override_dh_auto_test:
	mkdir -p $(TEST_DIR)
	( cd $(TEST_DIR) ; $(MID_SYS)/inmidas -m $(MID_WORK) -j "@ vericopy ; @@ veriall -nodisplay ; bye" )
	test -f $(MID_WORK)/veriall_*
	rm -rf $(TEST_DIR)

override_dh_makeshlibs:
	# Avoid Lintian complaint: we don't have public shared libs

override_dh_clean:
	dh_clean
	rm -rf $(MIDVERS) $(MID_WORK) $(TEST_DIR)

## eso-midas 17.02pl1.2

=== debian/changelog ===
eso-midas (17.02pl1.2-2build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 13:19:47 -0400

eso-midas (17.02pl1.2-2) unstable; urgency=low

  * Add test data package

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Jun 2017 11:06:55 +0200

eso-midas (17.02pl1.2-1) unstable; urgency=low

  * Use gbp pq instead of quilt to maintain patches
  * New upstream version 17.02pl1.2
  * Rediff patches and remove all patches that were applied upstream
  * Update Standards-Version to 4.0.0 (no changes)

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Jun 2017 17:55:07 +0200

eso-midas (15.09pl1.0-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.8 (update VCS fields)
  * Add ASCL-Id
  * Workaround problem in gfortran-6 optimization. Closes: #831134

 -- Ole Streicher <olebole@debian.org>  Mon, 01 Aug 2016 11:18:30 +0200

=== debian/control ===
Source: eso-midas
Section: science
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-exec (>=0.3),
               gfortran,
               liblockfile-bin,
               libmotif-dev,
               libreadline-dev,
               libx11-dev,
               libxt-dev
Standards-Version: 4.0.0
Homepage: http://www.eso.org/projects/esomidas/
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/eso-midas.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/eso-midas.git

Package: eso-midas
Architecture: any
Depends: liblockfile-bin, ${misc:Depends}, ${shlibs:Depends}
Suggests: eso-midas-testdata
Description: European Southern Observatory Munich Image Data Analysis System
 The ESO-MIDAS system provides general tools for image processing and data
 reduction with emphasis on astronomical applications including imaging and
 special reduction packages for ESO instrumentation at La Silla and the VLT at
 Paranal. In addition it contains applications packages for stellar and
 surface photometry, image sharpening and decomposition, statistics and
 various others.

Package: eso-midas-testdata
Architecture: all
Depends: eso-midas, ${misc:Depends}
Description: Test data files for ESO-MIDAS
 The ESO-MIDAS system provides general tools for image processing and data
 reduction with emphasis on astronomical applications including imaging and
 special reduction packages for ESO instrumentation at La Silla and the VLT at
 Paranal. In addition it contains applications packages for stellar and
 surface photometry, image sharpening and decomposition, statistics and
 various others.
 .
 This package contains the test data files required for verification.

## eso-midas 19.02pl1.0

=== debian/changelog ===
eso-midas (19.02pl1.0-1) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * New upstream version 19.02pl1.0 with small bugfix
  * Push Standards-Version to 4.3.0. Change remaining URLs to https
  * Push compat to 12
  * Add gitlab-ci.yml

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Feb 2019 20:21:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 12),
                dh-exec (>=0.3),
                gfortran,
                liblockfile-bin,
@@ -11,10 +11,10 @@
                libreadline-dev,
                libx11-dev,
                libxt-dev
-Standards-Version: 4.0.0
-Homepage: http://www.eso.org/projects/esomidas/
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/eso-midas.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/eso-midas.git
+Standards-Version: 4.3.0
+Homepage: https://www.eso.org/projects/esomidas/
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/eso-midas
+Vcs-Git: https://salsa.debian.org/debian-astro-team/eso-midas.git
 
 Package: eso-midas
 Architecture: any

## eso-midas 19.02pl1.1

=== contrib/esolv/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:24:12
ESOLV is a small collection of routines to handle the ESOLV catalogue.

In principle the ESOLV context can only be used if the ESOLV catalogue
is available. Cuurently command are present to:
  - extract frames from the optical disk
  - to determine semi major and minor axes at a certain intensityS
  - to prepare a TEX file with a selection the catalogue entries
  - lists the contents of special table file

=== contrib/hst/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:24:53
The package "hst" consists on a set of general procedures to analyze HST
data, either spectroscopy or imaging, within the MIDAS environment. 
Currently, the procedures allow the user to convert a set of HST data,
extracted from a given instrument and observing mode, in the appropriate 
scientific format to be worked with the usual MIDAS tools. In their present
stage, they only operate with the final, science calibrated data, therefore,
no attempt for any re-calibration is made. They are only implemented for the
most frequent observing modes, e.g., spectroscopic mode with FOS. Special
modes, e.g., polarimetry, are not included yet.

The general structure of the procedures presented in this package is the
following one: read FITS format of the HST data in MIDAS, rename the files 
with their associate identification names, and finally, transform the files
to the adequate scientific format to be displayed and manipulated in MIDAS
(e.g., creation of a WF/PC mosaic out of the four corresponding images).


Documentation: in ./contrib/hst/doc/midas.ps (PostScript)
Last update: 19 November 1992
This MIDAS procedures were developed by M. Almudena Prieto.

=== contrib/surfphot/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:30:26
SURFPHOT is a collection of various programs useful to do surface photometry,
however is not intended to be a complete package.
It is merely a collection of contributions with fall in the area of surface 
photometry. Hence use of keyword, descriptors as well as the command syntax
can change from command to command.

SURFPHOT contains various routines to do:
         - isophote and background fitting
         - to find position angle and inclination of a galaxy
         - to do azimuthal profiles analysis (fitting, integration, etc)
         - to compute or rectify a frame with a distored evenly spaced grid
         - to correct for bad pixels (with flux concervation)
         - to trucate and normalize a frame
         - to rebin and deconvolve an image with the psf simultaneously

=== gui/GraphLib/DESCRIPTION ===
GraphLib contains the different libraries required by MIDAS user interfaces.
These libraries are:

  Comm     :  Implements the mechanism of communication with MIDAS.
              Required by XEchelle.

  Wcl      :  Public domain Widget Creation Library
              Required by XEchelle.

  Xukc     :  Public domain Xukc widgets (only one widget Scale is included)
              Required by XEchelle.

  vms_uimx :  License free UIMX Convenience Library
              Required by XHelp.

=== prim/general/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 14:00:56

This is the general image processing package. 
Here are all the usual routines which are needed to do general image processing
like creating images, computing, filtering, etc...
This package is required.

=== debian/changelog ===
eso-midas (19.02pl1.1-4) unstable; urgency=medium

  * Accept F77 and CC to be set from envvar
  * Use gcc-9 to compile (Closes: #967014)

 -- Ole Streicher <olebole@debian.org>  Mon, 17 Aug 2020 16:56:47 +0200

eso-midas (19.02pl1.1-3) unstable; urgency=medium

  * Use -fcommon CFLAGS to workaround double definition errors (Closes: #967014)

 -- Ole Streicher <olebole@debian.org>  Wed, 12 Aug 2020 14:10:12 +0200

eso-midas (19.02pl1.1-2) unstable; urgency=low

  * Fix convert/table FREQUENCY problem
  * Explicitly declare structures as 'extern' in header file (Closes: #957177)
  * Push Standards-Version to 4.5.0. No changes required
  * Push dh-compat to 13. Remove d/compat
  * Add "Rules-Requires-Root: no" to d/control
  * Remove unneded versioned build dependencies
  * Clean up d/rules
  * Use AUTOPKGTEST_TMP instead of ADTTMP
  * Add libsrc/ftoc link

 -- Ole Streicher <olebole@debian.org>  Wed, 01 Jul 2020 12:37:43 +0200

eso-midas (19.02pl1.1-1) unstable; urgency=low

  * New upstream version 19.02pl1.1. Rediff patches
  * Push Standards-Version to 4.4.0. No changes required.

 -- Ole Streicher <olebole@debian.org>  Wed, 24 Jul 2019 00:34:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: eso-midas
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 12),
-               dh-exec (>=0.3),
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
+               gcc-9,
                gfortran,
                liblockfile-bin,
                libmotif-dev,
                libreadline-dev,
                libx11-dev,
                libxt-dev
-Standards-Version: 4.3.0
-Homepage: https://www.eso.org/projects/esomidas/
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/eso-midas
 Vcs-Git: https://salsa.debian.org/debian-astro-team/eso-midas.git
+Homepage: https://www.eso.org/projects/esomidas/
+Rules-Requires-Root: no
 
 Package: eso-midas
 Architecture: any
-Depends: liblockfile-bin, ${misc:Depends}, ${shlibs:Depends}
+Depends: liblockfile-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: eso-midas-testdata
 Description: European Southern Observatory Munich Image Data Analysis System
  The ESO-MIDAS system provides general tools for image processing and data
@@ -30,7 +34,8 @@
 
 Package: eso-midas-testdata
 Architecture: all
-Depends: eso-midas, ${misc:Depends}
+Depends: eso-midas,
+         ${misc:Depends}
 Description: Test data files for ESO-MIDAS
  The ESO-MIDAS system provides general tools for image processing and data
  reduction with emphasis on astronomical applications including imaging and

=== debian/rules ===
--- 
+++ 
@@ -3,23 +3,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEBVERS := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[~-].*//')
-MIDVERS := $(shell echo '$(VERSION)' | sed -e "s/\([[:digit:]]*\)\.\([[:digit:]]*\).*/\1-\2/;s/-01/JAN/;s/-02/FEB/;s/-03/MAR/;s/-04/APR/;s/-05/MAY/;s/-06/JUN/;s/-07/JUL/;s/-08/AUG/;s/-09/SEP/;s/-10/OCT/;s/-11/NOV/;s/-12/DEC/")
-export MIDVERS
-MIDASHOME=$(shell pwd)
-export MIDASHOME
-MID_HOME=$(MIDASHOME)/$(MIDVERS)
-export MID_HOME
-MID_HOME0=/usr/lib/eso-midas/$(MIDVERS)
-export MID_HOME0
-MID_INSTALL=$(MIDASHOME)/$(MIDVERS)/install/unix
-export MID_INSTALL
-MID_SYS=$(MIDASHOME)/$(MIDVERS)/system/unix/
-export MID_SYS
-MID_WORK=$(MIDASHOME)/midwork
-export MID_WORK
-TEST_DIR=$(MIDASHOME)/test_tmp
+include  /usr/share/dpkg/pkg-info.mk
+
+export MIDVERS := $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e "s/\([[:digit:]]*\)\.\([[:digit:]]*\).*/\1-\2/;s/-01/JAN/;s/-02/FEB/;s/-03/MAR/;s/-04/APR/;s/-05/MAY/;s/-06/JUN/;s/-07/JUL/;s/-08/AUG/;s/-09/SEP/;s/-10/OCT/;s/-11/NOV/;s/-12/DEC/")
+export MIDASHOME = $(shell pwd)
+export MID_HOME = $(MIDASHOME)/$(MIDVERS)
+export MID_HOME0 = /usr/lib/eso-midas/$(MIDVERS)
+export MID_INSTALL = $(MIDASHOME)/$(MIDVERS)/install/unix
+export MID_SYS = $(MIDASHOME)/$(MIDVERS)/system/unix/
+export MID_WORK = $(MIDASHOME)/midwork
+TEST_DIR = $(MIDASHOME)/test_tmp
+export DEB_FFLAGS_MAINT_APPEND = -std=legacy
+export CC = gcc-9
 
 %:
 	dh  $@
@@ -32,7 +27,7 @@
 	(cd $(MID_HOME); $(MID_INSTALL)/select all)
 	(cd $(MID_HOME); $(MID_INSTALL)/preinstall -a)
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	chmod 755 $(MID_HOME)/local/make_shared
 	(cd $(MID_HOME); \
 	 $(MID_INSTALL)/install2; \
@@ -42,7 +37,7 @@
 	$(MID_SYS)/inmidas -m $(MID_WORK) -j "@ compile.all"
 	$(MID_SYS)/inmidas -m $(MID_WORK) -j "@ ascii_bin no ; bye"
 
-override_dh_install:
+override_dh_install-arch:
 	(cd $(MID_HOME) ; yes | $(MID_SYS)/cleanmidas)
 	find $(MID_HOME) \( \
 		-name "*.a" -o \
@@ -61,7 +56,7 @@
 	           -X$(MIDVERS)/test -X$(MIDVERS)/install \
 	           -X$(MIDVERS)/system/unix/man -X$(MIDVERS)/libsrc/readline
 
-override_dh_fixperms:
+override_dh_fixperms-arch:
 	dh_fixperms
 	chmod 0644 debian/eso-midas/$(MID_HOME0)/contrib/baches/*/*.fit \
 	           debian/eso-midas/$(MID_HOME0)/contrib/baches/*/*.fmt \
@@ -71,7 +66,15 @@
 	find debian/eso-midas/$(MID_HOME0)/ -name \*.sh | xargs chmod 0755 
 	chmod 0755 debian/eso-midas/$(MID_HOME0)/util/bench/brun
 
-override_dh_auto_test:
+override_dh_fixperms-indep:
+	dh_fixperms
+	chmod 0644 debian/eso-midas-testdata/$(MID_HOME0)/test/*/*.prg \
+	           debian/eso-midas-testdata/$(MID_HOME0)/test/*/*.mt
+	chmod 0755 debian/eso-midas-testdata/$(MID_HOME0)/test/*/*.sh \
+	           debian/eso-midas-testdata/$(MID_HOME0)/test/prim/midasparallel \
+	           debian/eso-midas-testdata/$(MID_HOME0)/test/prim/midcheck
+
+override_dh_auto_test-arch:
 	mkdir -p $(TEST_DIR)
 	( cd $(TEST_DIR) ; $(MID_SYS)/inmidas -m $(MID_WORK) -j "@ vericopy ; @@ veriall -nodisplay ; bye" )
 	test -f $(MID_WORK)/veriall_*

## eso-midas 21.02pl1.0

=== applic/statist/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:21:19
This package provides tools for  statistical tests on tables :
Comparison of empirical distribution with theoritical distribution, Comparison
of independant data samples, Measurement of correlation, etc..

=== contrib/iue/DESCRIPTION ===

             IUE directory structure

help         On-line help
libsrc       Library sources
proc         Procedures and context file
src          Main source
etc          Context definition.

=== gui/XIrspec/DESCRIPTION ===

 XIrspec is a Graphical Interface for the context Irspec. 

 Its main purpose is to provide an easy way to reduce infrarred data .
 The main features are:

   - It has interfaces to all the commands of the existent context to reduce
     infrarred data.

   - Some commands were grouped in the interface and default values are
     provided for most of the parameters, so the user can reduce very quickly
     the data.

   - There is a file management feature that allows to keep sets of input
     frames names in ASCII files.

It was developed by R.Gredel and C.Levin at La Silla.

=== prim/display/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:59:51

This is the general display package. 
Here are all the general routines which interact with the image display.
If you want to see your pretty pictures you must install it.

=== stdred/spec/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 14:28:34
SPEC is a low-level spectroscopy reduction package providing a set of
common commands to other spectroscopy packages, such as LONG or ECHELLE.
It is therefore required for the installation of those packages.

=== debian/changelog ===
eso-midas (21.02pl1.0-1) unstable; urgency=medium

  * New upstream version 21.02pl1.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 16 Aug 2021 20:51:43 +0200

eso-midas (19.02pl1.1-6) unstable; urgency=medium

  * Remove stale gcc-9 build dependency from d/control (Closes: #982409)

 -- Ole Streicher <olebole@debian.org>  Wed, 10 Feb 2021 09:53:08 +0100

eso-midas (19.02pl1.1-5) unstable; urgency=medium

  * Fix off-by-one error in tbread.c
  * Use "-fcommon -fno-strict-aliasing" instead of gcc 9. Closes: #978510
  * Push Standards-Version to 4.5.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 28 Dec 2020 21:03:40 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 export MID_WORK = $(MIDASHOME)/midwork
 TEST_DIR = $(MIDASHOME)/test_tmp
 export DEB_FFLAGS_MAINT_APPEND = -std=legacy
-export CC = gcc-9
+export DEB_CFLAGS_MAINT_APPEND = -fcommon -fno-strict-aliasing
+
 
 %:
 	dh  $@

## eso-midas 22.02pl1.0

=== gui/XBatch/DESCRIPTION ===
Xbatchred is a MOTIF based graphical user interface required by the interface
XLong.

XIdent requires the adequate libraries (-lX11, -lXt, -lXm) to be installed.
It also requires the previous installation of GraphLib.

=== debian/changelog ===
eso-midas (22.02pl1.0-2) unstable; urgency=medium

  * Allow argument mismatch in Fortran functions when compiling
    (Closes: #1027549)
  * Push Standards-Version to 4.6.2. No changes

 -- Ole Streicher <olebole@debian.org>  Tue, 03 Jan 2023 13:51:16 +0100

eso-midas (22.02pl1.0-1) unstable; urgency=medium

  * New upstream version 22.02pl1.0
  * Push Standards-Version to 4.6.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Mar 2022 15:38:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               gcc-9,
                gfortran,
                liblockfile-bin,
                libmotif-dev,
                libreadline-dev,
                libx11-dev,
                libxt-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/eso-midas
 Vcs-Git: https://salsa.debian.org/debian-astro-team/eso-midas.git
 Homepage: https://www.eso.org/projects/esomidas/

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export MID_SYS = $(MIDASHOME)/$(MIDVERS)/system/unix/
 export MID_WORK = $(MIDASHOME)/midwork
 TEST_DIR = $(MIDASHOME)/test_tmp
-export DEB_FFLAGS_MAINT_APPEND = -std=legacy
+export DEB_FFLAGS_MAINT_APPEND = -std=legacy -fallow-argument-mismatch
 export DEB_CFLAGS_MAINT_APPEND = -fcommon -fno-strict-aliasing

## eso-midas 23.02pl1.0

=== contrib/template/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO-DMD) 02/25/03 13:31:34
TEMPLATE is a dummy package to describe how to create MIDAS packages
under the 'contrib' directory.

=== contrib/wavelet/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:34:10
WAVELET is a package for the wavelet transform. The wavelet transform
of an image gives information in both spatial and frequency domain 
and is  a very useful tool for describing the hierarchical structures.
Several wavelet transform algorithms are included in this package 
(pyramidal algorithms, Mallat's algorithm with bi-orthogonal filters,
algorithms using the FFT, ...), as also tools related to these 
algorithms (visualisation, ...) and two image processing 
applications using the wavelet transform (filtering and comparison).

WAVELET is developed at Nice Observatory.
Last update: June 1993

=== gui/XFilter/DESCRIPTION ===

This Context allows to display the transmission of all ESO
filters and the quantum efficiency of the ESO CCD.

Moreover it contains the transmission model of some ESO instruments
(EFOSC1, EFOSC2 and EMMI). Hence, the user can easily prepare
his observations.

This program was written by Jean-Paul Kneib (jpkneib@eso.org)
it is maintained by Cristian Levin (clevin@eso.org)
Alain Gilliotte maintains up to date the filters database (agilliot@eso.org)

Any comment can be sent to filters@eso.org

=== gui/XIdent/DESCRIPTION ===
XIdent is a MOTIF based graphical user interface required by the interface
XLong.

XIdent requires the adequate libraries (-lX11, -lXt, -lXm) to be installed.
It also requires the previous installation of GraphLib.

=== stdred/ccdred/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO-IPG) 02/25/03 14:14:50
This directory contains the MIDAS CCD reduction package, available since 
the 93NOV release.

With this CCD package the user can reduce his/her data in a flexible way. 
The package supports fully automatic reductions in addition to the basic 
mode in which single commands can be executed. Functionallities include are: 
overscan correction, trimming, bad pixel correction, bias correction, dark 
correction, flat fielding, illumination correction, and fringing correction.

The CCD reduction package makes use of many existing MIDAS Core commands. 
As a result of this, most of the software is written in the MIDAS Control
Language (MIDAS procedures).

In the automatic mode the output association table provided by the MIDAS 
Data Organizer is used.

=== debian/changelog ===
eso-midas (23.02pl1.0-3) unstable; urgency=medium

  * Fix gcc-14 errors (Closes: #1074941)
  * Disable Link Time Optimization (Closes: #1015397)
  * Push Standards-Version to 4.7.0. No changes needed
  * Disable fortification hardening to workaround MIDAS
    address violations

 -- Ole Streicher <olebole@debian.org>  Wed, 11 Sep 2024 10:34:05 +0200

eso-midas (23.02pl1.0-2) unstable; urgency=medium

  * Don't error on implict function declaration (Closes: #1066429)

 -- Ole Streicher <olebole@debian.org>  Tue, 26 Mar 2024 09:23:29 +0100

eso-midas (23.02pl1.0-1) unstable; urgency=medium

  * New upstream version 23.02pl1.0

 -- Ole Streicher <olebole@debian.org>  Mon, 24 Jul 2023 09:47:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libreadline-dev,
                libx11-dev,
                libxt-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/eso-midas
 Vcs-Git: https://salsa.debian.org/debian-astro-team/eso-midas.git
 Homepage: https://www.eso.org/projects/esomidas/

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 export MID_WORK = $(MIDASHOME)/midwork
 TEST_DIR = $(MIDASHOME)/test_tmp
 export DEB_FFLAGS_MAINT_APPEND = -std=legacy -fallow-argument-mismatch
-export DEB_CFLAGS_MAINT_APPEND = -fcommon -fno-strict-aliasing
-
+export DEB_CFLAGS_MAINT_APPEND = -fcommon -fno-strict-aliasing -Wno-error=implicit-function-declaration
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto hardening=-fortify
 
 %:
 	dh  $@

## eso-midas 25.05pl1.1

=== applic/display/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:17:04

Here are additional routines (needed for various contexts, e.g. "echelle")
which interact with the image display.

=== applic/general/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:18:52
This directory GENERAL contains general purpose image processing routines
that were not put in the MIDAS core but do fall in the area.

=== applic/table/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:21:29
This directory `tbalew' contains general purpose tables routines, for 
which the maintenance and suport level is on a somewhat lower level than 
the `prim' area.

Currently it contains the following routines:
  - binning and averaging of table columns

=== contrib/astromet/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:22:55
POS1: Astrometric Package in MIDAS

This package corresponds to the original Richard West's POS1 program. The 
input/output have been made compatible with Midas, but the algorithm has 
not been changed (as it proved to be extremely accurate, this would have 
been masochism).

While the original POS1 was doing everything in one programme, the
MIDAS version has been split in 3 steps:
  1* read the measurements and standard stars, and compute the
     transformation parameters (this step is performed by the POS1A
     prog, or ASTROM/TRANSFO)
  2* edit the standard star table to remove/restore some stars (this
     step is performed by the RESIDUAL.PRG or ASTROM/EDIT)
  3* actually compute the converted coordinates (this step is
     performed by the POS1B programme or ASTROM/COMPUTE)
Steps 1 and 2 can be iterated until a satisfactory result is obtained.
The whole process can be performed in an iterative way that mimics the
former POS1 calling the POS1.PRG programme (ASTROM/POS1); the user
will be asked for all the parameters.


                      ***** IMPORTANT NOTE *****
   Currently, the package has only been tested on system running 
   SunOS. Correct installation and performance on platforms other than 
   those running SunOS is explicitly NOT GUARANTEED. Performance, however, 
   can be tested be executing the test described in the file directory 
   /midas/$VERS/contrib/astromet/tmp/pos1.exp. The data for this test 
   consists of two MIDAS tables: ppm300.tbl and xy300.tbl. Both tables 
   can be found in the directory /midas/demo/data or by obtained by 
   anonymous ftp. For the later possibility please contact the Data
   Analysis Group at ESO.


                                   Rein Warmels ESO-SDAG, October 1994

=== contrib/baches/DESCRIPTION ===

             BACHES directory structure

help         On-line help
demo         Demo data
proc         Procedures and context file
doc          Documentation
etc          Context definition.

=== contrib/cloud/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:23:17
This package provides tools for modelling interstellar or intergalactic features
on an initial polynomial continuum which may also contain emission lines.

=== contrib/daophot/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:23:32
DAOPHOT is a package to obtain precise photometry and astrometric positions
for stellar objects in two-dimensional digital images.

DAOPHOT is intended to run as non-interactive as possible. DAOPHOT performs 
no operations related to display or manipulation of the digital image on the 
image-display system, even though at some stages in the data reduction it is 
important to be able to examine the picture visually. 
DAOPHOT performs the following tasks:
 - find stellar objects above a certain threshold;
 - derive concentric aperture photometry for the selected objects;
 - determine a point spread function for the frame from one of more stars;
 - compute precise positions and magnitudes of the program stars.

It is assumed that before running DAOPHOT, (1) the user will have performed 
all necessary preparations of the images, such as flat fielding, bias 
subtraction and trimming worthless rows and columns, and (2) that the 
brightness data in the image are linearly related to the true intensities.

DAOPHOT was written by Peter Stetson of the Dominion Astrophysical Observatory.

Latest update: May 1991.

=== contrib/geotest/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:24:34

This package contains routines to create geometric test images as well
as other artificial images (Julia, Mandelbrot sets).

=== contrib/invent/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO) 02/25/03 13:25:14
INVENTORY is a package to detect and classify objects into stars, galaxies and
defects.

INVENTORY is functionally divided into three steps: a search, an analyse and
a classify command. Two additional command are present to set and show 
the various keywords. The search command prepares a preliminary list of 
objects. The analyse command evuluates the search list deletes and added 
objects and improves positions. The classify command produced the final
output table and make the distinction between the three catagories.

INVENTORY was developed by Andrej Kruszewski of the Warszawa Observatory.

Last update: April 1989.

=== contrib/lyman/DESCRIPTION ===
# @(#)DESCRIPTION	19.1 (ESO-IPG) 02/25/03 13:27:40
The context Lyman provides two commands CONVERT/LYMAN and FIT/LYMAN
for multiple-components fitting of interstellar absorption lines, which
can be used for the analysis of high-resolution spectra.

=== contrib/pepsys/DESCRIPTION ===
PEPSYS is a set of programs for planning and reducing photometry.

PEPSYS provides considerable advice to the user, as well as allowing enough
flexibility to handle most photometric situations.  Observers are urged to use
the PLAN program before observing, to be sure that adequate information is
obtained at the telescope.  The REDUCE program begins with raw photometric
measurements (photon counts, CCD extracted star intensities, etc.), combines
these with information about the telescope and instrument, and standard-star
tables, and produces reasonably reliable estimates of extra-atmospheric
magnitudes and colors, transformed to a standard system (if possible).
The uncertainties of the output values are also estimated.

PEPSYS (originally PhotoElectric Photometry SYStem) was developed by
Andrew T. Young.

=== contrib/rgb/DESCRIPTION ===

             rgb directory structure

src          Main source

=== debian/changelog ===
eso-midas (25.05pl1.1-2) unstable; urgency=medium

  * Force C standard gnu17 for compilation (Closes: #1096587)

 -- Ole Streicher <olebole@debian.org>  Tue, 16 Sep 2025 15:48:20 +0200

eso-midas (25.05pl1.1-1) unstable; urgency=medium

  * New upstream version 25.05pl1.1
  * Rediff patches
  * d/u/metadata: Remove unneeded keywords "Name" and "Contact"
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 03 Sep 2025 15:34:00 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libreadline-dev,
                libx11-dev,
                libxt-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/eso-midas
 Vcs-Git: https://salsa.debian.org/debian-astro-team/eso-midas.git
 Homepage: https://www.eso.org/projects/esomidas/

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export MID_WORK = $(MIDASHOME)/midwork
 TEST_DIR = $(MIDASHOME)/test_tmp
 export DEB_FFLAGS_MAINT_APPEND = -std=legacy -fallow-argument-mismatch
-export DEB_CFLAGS_MAINT_APPEND = -fcommon -fno-strict-aliasing -Wno-error=implicit-function-declaration
+export DEB_CFLAGS_MAINT_APPEND = -fcommon -fno-strict-aliasing -Wno-error=implicit-function-declaration -std=gnu17
 export DEB_BUILD_MAINT_OPTIONS = optimize=-lto hardening=-fortify
 
 %:

=== debian/tests/control ===
Tests: test-midas
Depends: eso-midas

=== debian/watch ===
version=3
opts=uversionmangle=\
s/(\d\d)([A-Z][A-Z][A-Z])/$1.$2/;\
s/JAN/01/;s/FEB/02/;s/MAR/03/;s/APR/04/;s/MAY/05/;s/JUN/06/;\
s/JUL/07/;s/AUG/08/;s/SEP/09/;s/OCT/10/;s/NOV/11/;s/DEC/12/,\
dversionmangle=s/\+dfsg// \
ftp://ftp.eso.org/pub/midaspub/([0-8]\S+)/sources/ ([0-8]\S+).tar.gz debian uupdate
